Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.aggregator
Class LogPropertiesTrie

    java.lang.Object
      lbg.simulator.tools.aggregator.LogPropertiesTrie

    public class LogPropertiesTrie

extends java.lang.Object

Log Properties trie.

A Log Properties trie stores all Properties of a log.. It is a modified trie whose nodes and leafs are Strings. Properties keys are stored in the nodes and values are stored in the leafs.

For example, if a given log has 4 properties "a.b.c = val1", "a.b.d = val2", "e = val3" and "e.f = val4", the trie may be represented like this:

    root -> "a" -> "b" -> "c" -> "val1"
                -> "d" -> "val2"
         -> "e" -> "f" -> "val3"
         -> "e" -> "val4"

Author:
  Cyril Briquet

Constructor Summary
`LogPropertiesTrie()`

Method Summary
`void` | `add(java.lang.String subkeys, java.lang.String value)`
`java.lang.String` | `enumerate()`
`java.lang.String` | `get(java.lang.String subkeys)`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogPropertiesTrie

    public LogPropertiesTrie()
                      throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### add

    public void add(java.lang.String subkeys,
                    java.lang.String value)
             throws GridException

  Throws:
    `GridException`

### enumerate

    public java.lang.String enumerate()
                               throws GridException

  Throws:
    `GridException`

### get

    public java.lang.String get(java.lang.String subkeys)
                         throws GridException

  Throws:
    `GridException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.